summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Chess Griffin2010-06-29 06:21:52 +0200
committer Erik Hanson2010-06-29 07:36:36 +0200
commit424be1ba1bfa2f72bdb45a658062d0406d53bf04 (patch)
tree1ddd3d4e7388e531fd1dab305fce3ca7beac4805 /audio
parent9296dedd5aecb5fbfaa15b55f0988021e6e2bfe9 (diff)
downloadslackbuilds-424be1ba1bfa2f72bdb45a658062d0406d53bf04.tar.gz
audio/audacity: Patched to build with ffmpeg-0.6.
Signed-off-by: Robby Workman <rworkman@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/audacity/README15
-rw-r--r--audio/audacity/audacity-src-1.3.12-beta-avformat-api-change.patch33
-rw-r--r--audio/audacity/audacity.SlackBuild31
-rw-r--r--audio/audacity/audacity.desktop3
-rw-r--r--audio/audacity/audacity.info2
-rw-r--r--audio/audacity/doinst.sh3
6 files changed, 58 insertions, 29 deletions
diff --git a/audio/audacity/README b/audio/audacity/README
index 66f16a8a45..4a0b020133 100644
--- a/audio/audacity/README
+++ b/audio/audacity/README
@@ -2,12 +2,9 @@ Audacity is free, open source software for recording and editing sounds.
With Audacity one can record live audio, convert tapes and records into
digital recordings, edit Ogg, MP3, and WAV sound files, and much more.
-Audacity requires wxPython or wxGTK and libsndfile, both of which are
-available at SlackBuilds.org. This script builds with support for
-libmad, libvorbis, id3tag, and libflac (all of which are included in
-stock Slackware), but they can be removed in the "configure" section
-of the build script if desired. Finally, one can also optionally
-enable soundtouch or twolame support in the SlackBuild if the
-soundtouch or twolame dependencies (available at SBo) have been built
-and installed prior to compiling Audacity. See the Audacity
-SlackBuild itself for more information.
+Audacity requires libsndfile and either wxPython or wxGTK, and optional
+dependencies are ffmpeg, soundtouch, and twolame.
+
+audacity will be built with support for ffmpeg if it is installed, while
+soundtouch and/or twolame support can be enabled in the build script if
+installed. See the build script itself for more information.
diff --git a/audio/audacity/audacity-src-1.3.12-beta-avformat-api-change.patch b/audio/audacity/audacity-src-1.3.12-beta-avformat-api-change.patch
new file mode 100644
index 0000000000..e6e8315598
--- /dev/null
+++ b/audio/audacity/audacity-src-1.3.12-beta-avformat-api-change.patch
@@ -0,0 +1,33 @@
+diff -p -up audacity-src-1.3.12-beta/src/FFmpeg.cpp~ audacity-src-1.3.12-beta/src/FFmpeg.cpp
+--- audacity-src-1.3.12-beta/src/FFmpeg.cpp~ 2010-03-30 13:28:54.000000000 +0200
++++ audacity-src-1.3.12-beta/src/FFmpeg.cpp 2010-05-07 11:17:29.000000000 +0200
+@@ -356,7 +356,7 @@ int ufile_fopen_input(AVFormatContext **
+ }
+ // Otherwize, resort to extension matching if available
+ else if (fmt1->extensions) {
+- if (FFmpegLibsInst->match_ext(filename, fmt1->extensions)) {
++ if (FFmpegLibsInst->av_match_ext(filename, fmt1->extensions)) {
+ score = 50;
+ }
+ }
+@@ -829,7 +829,7 @@ bool FFmpegLibs::InitLibs(wxString libpa
+ INITDYN(avformat,av_open_input_file);
+ INITDYN(avformat,av_open_input_stream);
+ INITDYN(avformat,get_buffer);
+- INITDYN(avformat,match_ext);
++ INITDYN(avformat,av_match_ext);
+
+ #if FFMPEG_STABLE
+ INITDYN(avformat,av_init_packet);
+diff -p -up audacity-src-1.3.12-beta/src/FFmpeg.h~ audacity-src-1.3.12-beta/src/FFmpeg.h
+--- audacity-src-1.3.12-beta/src/FFmpeg.h~ 2010-03-30 13:28:54.000000000 +0200
++++ audacity-src-1.3.12-beta/src/FFmpeg.h 2010-05-07 11:17:45.000000000 +0200
+@@ -224,7 +224,7 @@ public:
+ AVStream* (*av_new_stream) (AVFormatContext *s, int id);
+ AVFormatContext* (*av_alloc_format_context) (void);
+ AVOutputFormat* (*guess_format) (const char *short_name, const char *filename, const char *mime_type);
+- int (*match_ext) (const char *filename, const char *extensions);
++ int (*av_match_ext) (const char *filename, const char *extensions);
+ int (*av_write_trailer) (AVFormatContext *s);
+ int (*av_interleaved_write_frame) (AVFormatContext *s, AVPacket *pkt);
+ int (*av_write_frame) (AVFormatContext *s, AVPacket *pkt);
diff --git a/audio/audacity/audacity.SlackBuild b/audio/audacity/audacity.SlackBuild
index e893980d6e..50ce096c69 100644
--- a/audio/audacity/audacity.SlackBuild
+++ b/audio/audacity/audacity.SlackBuild
@@ -24,21 +24,19 @@
# Thanks to Eric Hameleers for adding the audacity.desktop file
# and other tweaks and bug fixes. Thanks to Heinz Wiesinger for
-# bug fixes and and the soundtouch and twolame improvements.
+# bug fixes and the soundtouch and twolame improvements.
# Modified by the SlackBuilds.org project
PRGNAM=audacity
VERSION=1.3.12
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-2}
TAG=${TAG:-_SBo}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
i?86) ARCH=i486 ;;
arm*) ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
*) ARCH=$( uname -m ) ;;
esac
fi
@@ -48,16 +46,13 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-SOUNDTOUCH=${SOUNDTOUCH:-no}
-TWOLAME=${TWOLAME:-no}
-
-if [ "$SOUNDTOUCH" = "no" ]; then
+if [ "${SOUNDTOUCH:-no}" = "no" ]; then
do_soundtouch="without"
else
do_soundtouch="with"
fi
-if [ "$TWOLAME" = "no" ]; then
+if [ "${TWOLAME:-no}" = "no" ]; then
do_twolame="without"
else
do_twolame="with"
@@ -77,12 +72,14 @@ else
LIBDIRSUFFIX=""
fi
+set -e
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-minsrc-$VERSION-beta
-tar xvf $CWD/$PRGNAM-minsrc-$VERSION-beta.tar.bz2 || exit 1
-cd $PRGNAM-src-$VERSION-beta || exit 1
+tar xvf $CWD/$PRGNAM-minsrc-$VERSION-beta.tar.bz2
+cd $PRGNAM-src-$VERSION-beta
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -90,6 +87,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# Fix ffmpeg support for version 0.6
+patch -p1 -i $CWD/audacity-src-1.3.12-beta-avformat-api-change.patch
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -106,11 +106,10 @@ CXXFLAGS="$SLKCFLAGS" \
--with-libid3tag \
--with-libresample \
--$do_soundtouch-soundtouch \
- --$do_twolame-libtwolame \
- || exit 1
+ --$do_twolame-libtwolame
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
diff --git a/audio/audacity/audacity.desktop b/audio/audacity/audacity.desktop
index 3a39217470..f663ec1e57 100644
--- a/audio/audacity/audacity.desktop
+++ b/audio/audacity/audacity.desktop
@@ -1,7 +1,6 @@
[Desktop Entry]
-Encoding=UTF-8
Exec=audacity
-Icon=/usr/share/pixmaps/audacity.xpm
+Icon=audacity
Name=Audacity
Name[bn]=অডাসিটি
Name[eo]=Aŭdaco
diff --git a/audio/audacity/audacity.info b/audio/audacity/audacity.info
index cc6d23b6ac..f2b89e742e 100644
--- a/audio/audacity/audacity.info
+++ b/audio/audacity/audacity.info
@@ -7,4 +7,4 @@ DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="Chess Griffin"
EMAIL="chess@chessgriffin.com"
-APPROVED="dsomero"
+APPROVED="rworkman"
diff --git a/audio/audacity/doinst.sh b/audio/audacity/doinst.sh
index 21e9945eb9..9830478e8c 100644
--- a/audio/audacity/doinst.sh
+++ b/audio/audacity/doinst.sh
@@ -10,4 +10,5 @@ if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
if [ -x /usr/bin/gtk-update-icon-cache ]; then
/usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
fi
-fi \ No newline at end of file
+fi
+